## scribus 1.4.7+dfsg

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection and rpath updates for custom cairo install
#its not likely 2.4.x will work any more
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

#IF(WIN32)
#  IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#    MESSAGE(FATAL_ERROR "Windows builds require CMake 2.6")
#  ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#ENDIF(WIN32)

#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

#RPATH setup - more below too
IF (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_RPATH TRUE)
ELSE (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_BUILD_RPATH TRUE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
ENDIF (WANT_NORPATH OR WANT_DISTROBUILD)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)
INCLUDE(TestBigEndian)
INCLUDE(GNUInstallDirs)

#Set the custom CMake module directory where our include/lib finders are
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########

# CHECK_C_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" C_HAVE_PIC)
# CHECK_CXX_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" CXX_HAVE_PIC)
# IF (CXX_HAVE_PIC AND C_HAVE_PIC)
#     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
#     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
# ELSE (CXX_HAVE_PIC AND C_HAVE_PIC)
#     MESSAGE(FATAL_ERROR "Shared library support is missing")
# ENDIF (CXX_HAVE_PIC AND C_HAVE_PIC)

# SET(CMAKE_SHARED_MODULE_LINK_FLAGS "${CMAKE_SHARED_MODULE_LINK_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_MODULE_LINK_CXX_FLAGS "${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_C_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS} -export-dynamic")
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_C_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_MODULE})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_LIBRARY})

#IMPORT FROM COMMANDLINE
# SET with cmake -DWANT_CAIRO=1, etc
# MESSAGE(STATUS ${WANT_CAIRO})
# MESSAGE(STATUS ${WANT_LIBART})
# MESSAGE(STATUS ${WANT_DEBUG})

# SET(WANT_CAIRO 0)
# SET(WANT_LIBART 1)

#Project Setup
PROJECT(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "4")
SET (VERSION_PATCH "7")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR})
IF (VERSION_MINOR GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_MINOR})
ENDIF (VERSION_MINOR GREATER -1)
IF (VERSION_PATCH GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_PATCH})
ENDIF (VERSION_PATCH GREATER -1)
IF (VERSION_SUFFIX)
  SET (VERSION ${VERSION}.${VERSION_SUFFIX})
ENDIF (VERSION_SUFFIX)
MESSAGE(STATUS "Scribus ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
SET(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

MESSAGE(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
STRING(REGEX MATCH "(i[0-9]86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ARCH_X86 1)
ENDIF (_machine_x86)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ARCH_X86_64 1)
ENDIF (_machine_x86_64)

IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND (ARCH_X86 EQUAL 1 OR ARCH_X86_64 EQUAL 1))
	STRING(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
	IF (_apple_ver EQUAL "14")
		MESSAGE(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
		SET(APPLE_10_10_X 1 CACHE TYPE BOOL)
	ENDIF (_apple_ver EQUAL "14")
	IF (_apple_ver EQUAL "13")
		MESSAGE(STATUS "Found OSX Mavericks Target: Apple, 64 bit, X86")
		SET(APPLE_10_9_X 1 CACHE TYPE BOOL)
	ENDIF (_apple_ver EQUAL "13")
	IF (_apple_ver EQUAL "12")
		MESSAGE(STATUS "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
		SET(APPLE_10_8_X 1 CACHE TYPE BOOL)
	ENDIF (_apple_ver EQUAL "12")
	IF (_apple_ver EQUAL "11")
		MESSAGE(STATUS "Found OSX Lion Target: Apple, 64 bit, X86")
		SET(APPLE_10_7_X 1 CACHE TYPE BOOL)
	ENDIF (_apple_ver EQUAL "11")
	IF (_apple_ver EQUAL "10")
		MESSAGE(STATUS "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
		SET(APPLE_10_6_X 1 CACHE TYPE BOOL)
	ENDIF (_apple_ver EQUAL "10")
	IF (_apple_ver EQUAL "9")
		MESSAGE(STATUS "Found OSX Leopard Target: Apple, 32 bit, X86")
		SET(APPLE_10_5_X 1 CACHE TYPE BOOL)
	ENDIF (_apple_ver EQUAL "9")
	UNSET(ARCH_X86)
ENDIF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND (ARCH_X86 EQUAL 1 OR ARCH_X86_64 EQUAL 1))

STRING(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
IF (_machine_sparc_64)
    MESSAGE(STATUS "Found target SPARC 64")
    SET(ARCH_SPARC_64 1)
ENDIF (_machine_sparc_64)

STRING(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
IF (_machine_mips_64)
    MESSAGE(STATUS "Found target MIPS 64")
    SET(ARCH_MIPS_64 1)
ENDIF (_machine_mips_64)

STRING(REGEX MATCH "(mips-*)|(MIPS-*)" _machine_mips "${MACHINE}")
IF (_machine_mips)
    MESSAGE(STATUS "Found target MIPS")
    SET(ARCH_MIPS 1)
ENDIF (_machine_mips)

STRING(REGEX MATCH "(hppa-*)" _machine_hppa "${MACHINE}")
IF (_machine_hppa)
    MESSAGE(STATUS "Found target HPPA")
    SET(ARCH_HPPA 1)
ENDIF (_machine_hppa)

STRING(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ARCH_PPC 1)
ENDIF (_machine_ppc)

STRING(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
IF (_machine_ppc_64)
    MESSAGE(STATUS "Found target PPC64")
    SET(ARCH_PPC_64 1)
ENDIF (_machine_ppc_64)

STRING(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
IF (_machine_sparc)
    MESSAGE(STATUS "Found target Sparc")
    SET(ARCH_SPARC 1)
ENDIF (_machine_sparc)

STRING(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
IF (_machine_sparcv9)
    MESSAGE(STATUS "Found target Sparc v9")
    SET(ARCH_SPARCV9 1)
ENDIF (_machine_sparcv9)

STRING(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
IF (_machine_sparc64)
    MESSAGE(STATUS "Found target Sparc64")
    SET(ARCH_SPARC64 1)
    SET(ARCH64BIT 1)
ENDIF (_machine_sparc64)

#convert any 64 bit build into generic 64 tag for below
IF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 
  SET(ARCH64BIT 1)
ENDIF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 

MESSAGE(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
IF (NOT BUILD_OSX_BUNDLE)
  SET(BUILD_OSX_BUNDLE ${APPLE} CACHE TYPE BOOL)
ENDIF (NOT BUILD_OSX_BUNDLE)

#Simplify future conditionals for Apple
IF (APPLE AND BUILD_OSX_BUNDLE)
  SET(APPLEBUNDLE TRUE CACHE TYPE BOOL)
ENDIF (APPLE AND BUILD_OSX_BUNDLE)

#Announce we cached a version request before, overridden below for OSX
IF(TAG_VERSION)
  IF (NOT APPLEBUNDLE)
    MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  ENDIF (NOT APPLEBUNDLE)
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)

#Remove version tags on OSX so our bundle is Scribus.app
IF (APPLEBUNDLE)
  IF (WANT_VERSIONING OR CACHED_VERSIONING)
    MESSAGE(STATUS "Ignoring version tag on OSX when building bundle")
    SET(WANT_VERSIONING 0)
    SET(CACHED_VERSIONING 0)
  ENDIF (WANT_VERSIONING OR CACHED_VERSIONING)
ENDIF (APPLEBUNDLE)

#Store our version string if require
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

##############################################################################################################
########## Install/Directory Setup                                                                  ##########

IF (APPLEBUNDLE)
  IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    # all ok
  ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # add "/Contents" subpath
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Contents")
    ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # no bundle name spcified, use appname and version
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Scribus${VERSION}.app/Contents")
    ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
  ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")

  MESSAGE(STATUS "APPLEBUNDLE install prefix: ${CMAKE_INSTALL_PREFIX}")
ENDIF (APPLEBUNDLE)


#Setp all the directories we will use
#MAN
CMAKE_POLICY(SET CMP0005 OLD)
SET(MANDIR "${CMAKE_INSTALL_DATAROOTDIR}/man/")
IF(WANT_VERSIONING)
    SET(SHAREDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/")
ELSE(WANT_VERSIONING)
    SET(SHAREDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}/")
ENDIF(WANT_VERSIONING)
IF(NOT IS_ABSOLUTE ${SHAREDIR})
    ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")
ELSE()
    ADD_DEFINITIONS("-DSHAREDIR=\\\"${SHAREDIR}\\\"")
ENDIF()

#SHARE - use the default on Apple as TAG_VERSION is empty
IF(WIN32 OR OS2)
  SET(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/")
ELSE (WIN32 OR OS2)
  IF(TAG_VERSION OR BUILD_OSX_BUNDLE)
    SET(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
  ELSE(TAG_VERSION OR BUILD_OSX_BUNDLE)
        IF(NOT WANT_VERSIONING)
            SET(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}/")
        ELSE(NOT WANT_VERSIONING)
            SET(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}-${VERSION}/")
        ENDIF(NOT WANT_VERSIONING)
  ENDIF (TAG_VERSION OR BUILD_OSX_BUNDLE)
ENDIF (WIN32 OR OS2)
IF(NOT IS_ABSOLUTE ${DOCDIR})
    ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")
ELSE()
    ADD_DEFINITIONS("-DDOCDIR=\\\"${DOCDIR}\\\"")
ENDIF()

#ICON
IF(WIN32)
  SET(ICONDIR "${CMAKE_INSTALL_DATAROOTDIR}/icons/")
ELSE(WIN32)
  SET(ICONDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
ENDIF(WIN32)
IF(NOT IS_ABSOLUTE ${ICONDIR})

=== resources/keysets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
scribus14.xml
  DESTINATION ${SHAREDIR}keysets
)

=== scribus/styles/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
${FREETYPE_INCLUDE_DIRS}
)


SET(SCRIBUS_STYLES_MOC_CLASSES
)

SET(SCRIBUS_STYLES_LIB_SOURCES
  style.cpp
  stylecontext.cpp
  stylecontextproxy.cpp
  linestyle.cpp
  charstyle.cpp
  paragraphstyle.cpp
)

QT4_WRAP_CPP(SCRIBUS_STYLES_MOC_SOURCES ${SCRIBUS_STYLES_MOC_CLASSES})

SET(SCRIBUS_STYLES_LIB "scribus_styles_lib")
ADD_LIBRARY(${SCRIBUS_STYLES_LIB} STATIC ${SCRIBUS_STYLES_LIB_SOURCES} ${SCRIBUS_STYLES_MOC_SOURCES})

# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
SET_TARGET_PROPERTIES(${SCRIBUS_STYLES_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== debian/changelog ===
scribus (1.4.7+dfsg-2build1) disco; urgency=medium

  * No-change rebuild against libpodofo0.9.6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Nov 2018 09:09:36 +0000

scribus (1.4.7+dfsg-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.2.1, no changes needed.
    + Set Rules-Requires-Root:no.
  * d/scribus-ng-data.links: tweak link so to avoid a broken symlink if
    somebody installs scribus-ng-data only.  Closes: #909295

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 21 Sep 2018 10:35:19 +0200

scribus (1.4.7+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.7+dfsg.
    https://wiki.scribus.net/canvas/1.4.7_Release
    + Fix bug where the selection is lost in the story editor.  Closes: #857830
    + Add German translation to the .desktop file.  Closes: #885449
  * d/control:
    + Drop Recommends of scribus from scribus-data.  Closes: #865635
    + Move Vcs-* to salsa.debian.org.
    + Bump Priority from extra (deprecated) to optional.
    + Bump Standards-Version to 4.1.4.
    + Use HTTPS in the Homepage field.
  * debian/scriubs-doc.*:
    + Sync from -doc package, to better comply to policy 3.9.8.
  * d/copyright:
    + Use HTTPS in the Format field.
    + Use HTTPS in the Source field.
    + Update.
  * d/upstream/signing-key.asc: Refresh.
  * d/patches:
    + Refresh patches.
    + Add patch to move the appstream file to /usr/share/metainfo.
  * Bump debhelper compat level to 11.
  * d/rules:
    + Stop messing with the .desktop file, now correctly dealt by upstream.
    + Use dh_missing instead of the deprecated dh_install --fail-missing
  * Install the new appstream file provided by upstream instead of our
    own copy.
  * d/README.source: drop, the content only duplicates d/copyright and
    other common knowledge on package maintenance.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 09 May 2018 00:10:44 +0200

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 11),
 dh-exec,
 dh-python,
 gettext,
 libboost-python-dev,
 libcairo2-dev,
 libcups2-dev,
 libhunspell-dev,
 libhyphen-dev,
 liblcms2-dev,
 libpodofo-dev,
 libqt4-dev,
 libtiff-dev,
 libxml2-dev,
 python-all,
 zlib1g-dev,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends:
 ghostscript,
 python-tk,
 scribus-data (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-doc,
 scribus-template,
 texlive-latex-recommended,
Description: Open Source Desktop Page Layout - stable branch
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends:
 python,
 python-tk,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 scribus (<< 1.4.5+dfsg-1),
Replaces:
 scribus (<< 1.4.5+dfsg-1),
Description: Open Source Desktop Page Layout - stable branch (data files)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the architecture-independent files.

Package: scribus-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
Recommends:
 scribus (= ${source:Version}),
Breaks:
 scribus (<< 1.4.5+dfsg-1),
Replaces:
 scribus (<< 1.4.5+dfsg-1),
Description: Open Source Desktop Page Layout - stable branch (development files)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the development header files.

## scribus 1.4.8%2Bdfsg

=== resources/templates/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

# Gentoo has an option for no templates. Let's make the ebuild simpler and open up the option to others, but leave as a default for us. Make the directo$
IF (WANT_NOTEMPLATES)
  INSTALL(CODE "FILE(MAKE_DIRECTORY ${ENV}${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR})")
ELSE (WANT_NOTEMPLATES)
	INSTALL(FILES
	template.xml
	  DESTINATION ${TEMPLATEDIR}
	)

	INSTALL(FILES
	template.ca.xml
	  DESTINATION ${TEMPLATEDIR}
	)
	
	INSTALL(FILES
	template.de.xml
	  DESTINATION ${TEMPLATEDIR}
	)

	INSTALL(FILES
	template.es.xml
	  DESTINATION ${TEMPLATEDIR}
	)

	INSTALL(FILES
	template.hu.xml
	  DESTINATION ${TEMPLATEDIR}
	)

	INSTALL(FILES
	template.it.xml
	  DESTINATION ${TEMPLATEDIR}
	)

	INSTALL(FILES
	br1/br1.png
	br1/br1tn.png
	br1/map.jpg
	br1/br1.sla.gz
	  DESTINATION ${TEMPLATEDIR}br1
	)

	INSTALL(FILES
	nl1/kites.jpg
	nl1/nl1.png
	nl1/nl1tn.png
	nl1/nl1.sla.gz
	  DESTINATION ${TEMPLATEDIR}nl1
	)

	INSTALL(FILES
	nl2/flowers.jpg
	nl2/nl2.png
	nl2/nl2tn.png
	nl2/nl2.sla.gz
	  DESTINATION ${TEMPLATEDIR}nl2
	)

	INSTALL(FILES
	textbased/an_image.jpg
	textbased/author.jpg
	textbased/textbased.png
	textbased/textbased.sla.gz
	textbased/textbasedtn.png
	  DESTINATION ${TEMPLATEDIR}textbased
	)

	INSTALL(FILES
	pres_backgr_1/blue_orange_vector.sla.gz
	pres_backgr_1/blue_orange_vectortn.png
	pres_backgr_1/blue_orange_vector.png
	  DESTINATION ${TEMPLATEDIR}pres_backgr_1
	)

	INSTALL(FILES
	pres_backgr_2/flood_light.sla.gz
	pres_backgr_2/flood_lighttn.png
	pres_backgr_2/flood_light.png
	  DESTINATION ${TEMPLATEDIR}pres_backgr_2
	)

	INSTALL(FILES
	pres_backgr_3/glass_ripples.sla.gz
	pres_backgr_3/glass_ripplestn.png
	pres_backgr_3/glass_ripples.png
	  DESTINATION ${TEMPLATEDIR}pres_backgr_3
	)

	INSTALL(FILES
	pres_backgr_4/bokeh.sla.gz
	pres_backgr_4/Bokehtn.png
	pres_backgr_4/Bokeh.png
	  DESTINATION ${TEMPLATEDIR}pres_backgr_4
	)

	INSTALL(FILES
	cc/Cheat_Cube.png
	cc/Cheat_Cubetn.png
	cc/Cheat_Cube.sla.gz
	  DESTINATION ${TEMPLATEDIR}cc
	)

	INSTALL(FILES
	mc/menu_template1.png
	mc/menu_template1tn.png
	mc/menu_template1.sla.gz
	  DESTINATION ${TEMPLATEDIR}mc
	)

	INSTALL(FILES
	cover1/cover1.png
	cover1/cover1tn.png
	cover1/cover1.sla.gz
	  DESTINATION ${TEMPLATEDIR}cover1
	)

	INSTALL(FILES
	cover2/cover2.png
	cover2/cover2tn.png
	cover2/cover2.sla.gz
	  DESTINATION ${TEMPLATEDIR}cover2
	)

	INSTALL(FILES
	cover3/cover3.png
	cover3/cover3tn.png
	cover3/cover3.sla.gz
	  DESTINATION ${TEMPLATEDIR}cover3
	)

	INSTALL(FILES
	cover4/cover4.png
	cover4/cover4tn.png
	cover4/cover4.sla.gz
	  DESTINATION ${TEMPLATEDIR}cover4
	)

	INSTALL(FILES
	cover5/cover5.png
	cover5/cover5tn.png
	cover5/cover5.sla.gz
	  DESTINATION ${TEMPLATEDIR}cover5
	)

	INSTALL(FILES
	buscard1/Business_Card_1.png
	buscard1/Business_Card_1tn.png
	buscard1/buscard1.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard1
	)

	INSTALL(FILES
	buscard2/Business_Card_2.png
	buscard2/Business_Card_2tn.png
	buscard2/buscard2.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard2
	)

	INSTALL(FILES
	buscard3/Business_Card_3.png
	buscard3/Business_Card_3tn.png
	buscard3/buscard3.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard3
	)

	INSTALL(FILES
	buscard4/Business_Card_4.png
	buscard4/Business_Card_4tn.png
	buscard4/buscard4.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard4
	)

	INSTALL(FILES
	buscard5/Business_Card_5.png
	buscard5/Business_Card_5tn.png
	buscard5/buscard5.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard5
	)

	INSTALL(FILES
	buscard6/Business_Card_6.png
	buscard6/Business_Card_6tn.png
	buscard6/buscard6.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard6
	)

	INSTALL(FILES
	buscard7/Business_Card_7.png
	buscard7/Business_Card_7tn.png
	buscard7/buscard7.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard7
	)

	INSTALL(FILES
	buscard8/Business_Card_8.png
	buscard8/Business_Card_8tn.png
	buscard8/buscard8.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard8
	)

	INSTALL(FILES
	buscard9/Business_Card_9.png
	buscard9/Business_Card_9tn.png
	buscard9/buscard9.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard9
	)

	INSTALL(FILES
	buscard10/Business_Card_10.png
	buscard10/Business_Card_10tn.png
	buscard10/buscard10.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard10
	)

	INSTALL(FILES
	buscard11/Business_Card_11.png
	buscard11/Business_Card_11tn.png
	buscard11/buscard11.sla.gz
	  DESTINATION ${TEMPLATEDIR}buscard11
	)

	INSTALL(FILES
	grid_br_a4_l/Brochure_Grid_A4_L.sla.gz
	grid_br_a4_l/Brochure_Grid_A4_Ltn.png
	grid_br_a4_l/Brochure_Grid_A4_L.png
	  DESTINATION ${TEMPLATEDIR}grid_br_a4_l
	)

	INSTALL(FILES
	grid_br_a4_p/Brochure_Grid_A4_P.sla.gz
	grid_br_a4_p/Brochure_Grid_A4_Ptn.png
	grid_br_a4_p/Brochure_Grid_A4_P.png
	  DESTINATION ${TEMPLATEDIR}grid_br_a4_p
	)

	INSTALL(FILES
	grid_br_975x85in_l/Brochure_Grid_975x85in_L.sla.gz
	grid_br_975x85in_l/Brochure_Grid_975x85_in_Ltn.png
	grid_br_975x85in_l/Brochure_Grid_975x85_in_L.png
	  DESTINATION ${TEMPLATEDIR}grid_br_975x85in_l
	)

	INSTALL(FILES
	grid_br_975x85_p/Brochure_Grid_975x85in_P.sla.gz
	grid_br_975x85_p/Brochure_Grid_975x85_in_Ptn.png
	grid_br_975x85_p/Brochure_Grid_975x85_in_P.png
	  DESTINATION ${TEMPLATEDIR}grid_br_975x85_p
	)

	INSTALL(FILES
	grid_br_375x85_p/Brochure_Grid_375x85in_P.sla.gz
	grid_br_375x85_p/Brochure_Grid_375x85_in_Ptn.png
	grid_br_375x85_p/Brochure_Grid_375x85_in_P.png
	  DESTINATION ${TEMPLATEDIR}grid_br_375x85_p
	)

	INSTALL(FILES
	grid_br_375x85_l/Brochure_Grid_375x85in_L.sla.gz
	grid_br_375x85_l/Brochure_Grid_375x85_in_Landscapetn.png
	grid_br_375x85_l/Brochure_Grid_375x85_in_Landscape.png
	  DESTINATION ${TEMPLATEDIR}grid_br_375x85_l
	)

	INSTALL(FILES
	grid_br_100x210_p/Brochure_Grid_100x210_P.sla.gz
	grid_br_100x210_p/Brochure_Grid_100x210_Ptn.png
	grid_br_100x210_p/Brochure_Grid_100x210_P.png
	  DESTINATION ${TEMPLATEDIR}grid_br_100x210_p
	)

	INSTALL(FILES
	grid_br_100x210_l/Brochure_Grid_100x210_L.sla.gz
	grid_br_100x210_l/Brochure_Grid_100x210_mm_Landscapetn.png
	grid_br_100x210_l/Brochure_Grid_100x210_mm_Landscape.png
	  DESTINATION ${TEMPLATEDIR}grid_br_100x210_l
	)

	INSTALL(FILES
	grid_br_55x86in_p/Brochure_Grid_55x85in_P.sla.gz
	grid_br_55x86in_p/Brochure_Grid_55x85in_Portraoittn.png
	grid_br_55x86in_p/Brochure_Grid_55x85in_Portraoit.png
	  DESTINATION ${TEMPLATEDIR}grid_br_55x86in_p
	)

	INSTALL(FILES
	grid_br_55x85in_l/Brochure_Grid_55x85in_L.sla.gz
	grid_br_55x85in_l/Brochure_Grid_55x85_in_Ltn.png
	grid_br_55x85in_l/Brochure_Grid_55x85_in_L.png
	  DESTINATION ${TEMPLATEDIR}grid_br_55x85in_l
	)

	INSTALL(FILES
	grid_poster_a3/Poster_Grid_A3.sla.gz
	grid_poster_a3/Poster_Grid_A3tn.png
	grid_poster_a3/Poster_Grid_A3.png
	  DESTINATION ${TEMPLATEDIR}grid_poster_a3
	)

	INSTALL(FILES
	grid_poster_a2/Poster_Grid_A2.sla.gz
	grid_poster_a2/Poster_Grid_A2tn.png
	grid_poster_a2/Poster_Grid_A2.png
	  DESTINATION ${TEMPLATEDIR}grid_poster_a2
	)

	INSTALL(FILES
	grid_poster_a1/Poster_Grid_A1.sla.gz
	grid_poster_a1/Poster_Grid_A1tn.png
	grid_poster_a1/Poster_Grid_A1.png
	  DESTINATION ${TEMPLATEDIR}grid_poster_a1
	)

	INSTALL(FILES
	grid_poster_a0/Poster_Grid_A0.sla.gz
	grid_poster_a0/Poster_Grid_A0tn.png
	grid_poster_a0/Poster_Grid_A0.png
	  DESTINATION ${TEMPLATEDIR}grid_poster_a0
	)

	INSTALL(FILES
	grid_br_usl_p/Brochure_Grid_USL_P.sla.gz
	grid_br_usl_p/Brochure_Grid_USL_Ptn.png
	grid_br_usl_p/Brochure_Grid_USL_P.png
	  DESTINATION ${TEMPLATEDIR}grid_poster_a0
	)

	INSTALL(FILES
	grid_br_usl_l/Brochure_Grid_USL_L.sla.gz
	grid_br_usl_l/Brochure_Grid_USL_Ltn.png
	grid_br_usl_l/Brochure_Grid_USL_L.png
	  DESTINATION ${TEMPLATEDIR}grid_br_usl_l
	)

	INSTALL(FILES
	grid_br_dinl_p/Brochure_Grid_DIN_LANG_P.sla.gz
	grid_br_dinl_p/Brochure_Grid_DIN_LANG_Ptn.png
	grid_br_dinl_p/Brochure_Grid_DIN_LANG_P.png
	  DESTINATION ${TEMPLATEDIR}grid_br_dinl_p
	)

	INSTALL(FILES
	grid_br_dinl_l/Brochure_Grid_DIN_LANG_L.sla.gz
	grid_br_dinl_l/Brochure_Grid_DIN_LANG_Ltn.png
	grid_br_dinl_l/Brochure_Grid_DIN_LANG_L.png
	  DESTINATION ${TEMPLATEDIR}grid_br_dinl_l
	)

	INSTALL(FILES
	grid_br_a5_p/Brochure_Grid_A5_P.sla.gz
	grid_br_a5_p/Brochure_Grid_A5_Portraittn.png
	grid_br_a5_p/Brochure_Grid_A5_Portrait.png
	  DESTINATION ${TEMPLATEDIR}grid_br_a5_p
	)

	INSTALL(FILES
	grid_br_a5_l/Brochure_Grid_A5_L.sla.gz
	grid_br_a5_l/Brochure_Grid_A5_Ltn.png
	grid_br_a5_l/Brochure_Grid_A5_L.png
	  DESTINATION ${TEMPLATEDIR}grid_br_a5_l
	)

	INSTALL(FILES
	buscard_coll/business_card_collection.sla.gz
	buscard_coll/Business_Card_Collectiontn.png
	buscard_coll/Business_Card_Collection.png
	  DESTINATION ${TEMPLATEDIR}buscard_coll
	)
	
	INSTALL(FILES
	Business_Card_EU_Green/Business_Card_Waves.sla.gz
	Business_Card_EU_Green/Business_Card_Wavestn.png
	Business_Card_EU_Green/Business_Card_Waves.png
	Business_Card_EU_Green/Line1.png
	  DESTINATION ${TEMPLATEDIR}Business_Card_EU_Green
	)
	
	INSTALL(FILES
	3Fold_Wave_Style/3Fold_Waves_Style.sla.gz
	3Fold_Wave_Style/3Fold_Waves_Styletn.png
	3Fold_Wave_Style/3Fold_Waves_Style.png
	3Fold_Wave_Style/IMAGES_SML.png
	3Fold_Wave_Style/IMAGES_BG.png
	3Fold_Wave_Style/3Fold_Waves_Style.jpeg
	  DESTINATION ${TEMPLATEDIR}3Fold_Wave_Style
	)
	
	INSTALL(FILES
	Flyer_Waves_A5_DoubleSided/Waves_Flyer.sla.gz
	Flyer_Waves_A5_DoubleSided/Waves_Flyer_tn.png
	Flyer_Waves_A5_DoubleSided/Waves_Flyer.png
	  DESTINATION ${TEMPLATEDIR}Flyer_Waves_A5_DoubleSided
	)
	
	INSTALL(FILES
	Layout_Informer_A4/Layout_Informer.sla.gz
	Layout_Informer_A4/Layout_Informer.png
	Layout_Informer_A4/Layout_Informertn.png
	  DESTINATION ${TEMPLATEDIR}Layout_Informer_A4
	)
	
	INSTALL(FILES
	Newsletter_Layout/Newsletter_Wavestyle.sla.gz
	Newsletter_Layout/Newsletter_Wavestyletn.png
	Newsletter_Layout/Newsletter_Wavestyle.png
	Newsletter_Layout/path9902.png
	  DESTINATION ${TEMPLATEDIR}Newsletter_Layout
	)

	INSTALL(FILES
	Lulu_and_Createspace_6x9_paper_book/Lulu_and_Createspace_6x9_paper_book.png
	Lulu_and_Createspace_6x9_paper_book/Lulu_and_Createspace_6x9_paper_book.sla.gz
	Lulu_and_Createspace_6x9_paper_book/Lulu_and_Createspace_6x9_paper_booktn.png
	Lulu_and_Createspace_6x9_paper_book/Tomato_Clipart.png
	  DESTINATION ${TEMPLATEDIR}Lulu_and_Createspace_6x9_paper_book
	)
	  


	  
ENDIF (WANT_NOTEMPLATES)

=== scribus/plugins/myplugin/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(MY_PLUGIN_MOC_CLASSES
myplugin.h
mypluginimpl.h
)

SET(MY_PLUGIN_SOURCES
myplugin.cpp
mypluginimpl.cpp
)

SET(SCRIBUS_MY_PLUGIN "myplugin")

QT4_WRAP_CPP(MY_PLUGIN_MOC_SOURCES ${MY_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_MY_PLUGIN} MODULE ${MY_PLUGIN_SOURCES} ${MY_PLUGIN_MOC_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_MY_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_MY_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# SET_TARGET_PROPERTIES(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/tools/pathfinder/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

INSTALL(FILES
pathexclusion.png
pathintersection.png
pathparts.png
pathsubtraction.png
pathunite.png
  DESTINATION ${ICONDIR}
)

SET(PATHFINDER_PLUGIN_UI_SRC
pathfinderbase.ui
)

SET(PATHFINDER_PLUGIN_MOC_CLASSES
pathfinder.h
pathfinderdialog.h
)

SET(PATHFINDER_PLUGIN_SOURCES
pathfinder.cpp
pathfinderdialog.cpp
)

SET(SCRIBUS_PATHFINDER_PLUGIN "pathfinder")

QT4_WRAP_UI(PATHFINDER_PLUGIN_UI_SOURCES ${PATHFINDER_PLUGIN_UI_SRC} )
QT4_WRAP_CPP(PATHFINDER_PLUGIN_MOC_SOURCES ${PATHFINDER_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_PATHFINDER_PLUGIN} MODULE ${PATHFINDER_PLUGIN_SOURCES} ${PATHFINDER_PLUGIN_MOC_SOURCES} ${PATHFINDER_PLUGIN_UI_CPP} ${PATHFINDER_PLUGIN_UI_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_PATHFINDER_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_PATHFINDER_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

=== debian/watch ===
version=3

opts="\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s/$/.asc/" \
https://sf.net/scribus/scribus-(1.4.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
